CoyoteResponseFacade (Tomcat API Documentation)
Keywords: org.apache.coyote.tomcat5.CoyoteResponseFacade class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat5
Class CoyoteResponseFacade

    java.lang.Object
      org.apache.catalina.connector.ResponseFacade
          org.apache.coyote.tomcat5.CoyoteResponseFacade

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

public class CoyoteResponseFacade
extends ResponseFacade
implements javax.servlet.http.HttpServletResponse

Facade class that wraps a Coyote response object. All methods are delegated to the wrapped response.

Version:
  $Revision: 1.2 $ $Date: 2003/09/02 21:21:59 $
Author:
  Remy Maucherat, Jean-Francois Arcand

Field Summary
`protected CoyoteResponse` | `response` The wrapped response.

Fields inherited from class org.apache.catalina.connector.ResponseFacade
`resp`

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`CoyoteResponseFacade(CoyoteResponse response)` Construct a wrapper for the specified response.

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long date)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String name, int value)`
`void` | `clear()` Clear facade.
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)`
`java.lang.String` | `encodeUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)`
`void` | `finish()`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`boolean` | `isFinished()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int sc)`
`void` | `sendError(int sc, java.lang.String msg)`
`void` | `sendRedirect(java.lang.String location)`
`void` | `setBufferSize(int size)`
`void` | `setContentLength(int len)`
`void` | `setContentType(java.lang.String type)`
`void` | `setDateHeader(java.lang.String name, long date)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setLocale(java.util.Locale loc)`
`void` | `setStatus(int sc)`
`void` | `setStatus(int sc, java.lang.String sm)`

Methods inherited from class org.apache.catalina.connector.ResponseFacade
`getContentType, setCharacterEncoding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`getContentType, setCharacterEncoding`

Field Detail

### response

    protected CoyoteResponse response

  The wrapped response.

Constructor Detail

### CoyoteResponseFacade

    public CoyoteResponseFacade(CoyoteResponse response)

  Construct a wrapper for the specified response.

Parameters:
  `response` - The response to be wrapped

Method Detail

### clear

    public void clear()

  Clear facade.

  Overrides:
    `clear` in class `ResponseFacade`

### finish

    public void finish()

  Overrides:
    `finish` in class `ResponseFacade`

### isFinished

    public boolean isFinished()

  Overrides:
    `isFinished` in class `ResponseFacade`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getCharacterEncoding` in class `ResponseFacade`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `ResponseFacade`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `ResponseFacade`
  Throws:
    `java.io.IOException`

### setContentLength

    public void setContentLength(int len)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentLength` in class `ResponseFacade`

### setContentType

    public void setContentType(java.lang.String type)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `ResponseFacade`

### setBufferSize

    public void setBufferSize(int size)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setBufferSize` in class `ResponseFacade`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getBufferSize` in class `ResponseFacade`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `flushBuffer` in class `ResponseFacade`
  Throws:
    `java.io.IOException`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `resetBuffer` in class `ResponseFacade`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`
  Overrides:
    `isCommitted` in class `ResponseFacade`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Overrides:
    `reset` in class `ResponseFacade`

### setLocale

    public void setLocale(java.util.Locale loc)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setLocale` in class `ResponseFacade`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getLocale` in class `ResponseFacade`

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### sendError

    public void sendError(int sc,
                          java.lang.String msg)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int sc)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long date)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long date)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int sc)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int sc,
                          java.lang.String sm)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.